using EonaCat.ServiceMonitor;
using System.Runtime.CompilerServices;
using static EonaCat.ServiceMonitor.StatusChecker;

const string ACCESS_TOKEN = $"MY_PRIVATE_ACCESSKEY";
const string SLACK_URL = $"https://slack.com/{ACCESS_TOKEN}";

//CertificateInformation

var test = await StatusChecker.CheckHostAsync("https://EonaCat.com", 80, MONITOR_PROTOCOL.WEB);

SlackClient slackClient = new SlackClient(SLACK_URL);

Payload payload = new Payload();
payload.Channel = "EonaCat";
payload.Text = "Hello NuGet users";
payload.Icon = "pizza";
payload.Username = "C# information bot";

slackClient.PostMessage(payload);